0.9.9 API documenation

- Main Page
- Modules
- Files

Functions
GLM_GTC_epsilon
GTC Extensions (Stable)

Comparison functions for a user defined epsilon values. More...

## Functions
template<length_t L, typename T , qualifier P>
GLM_FUNC_DECL vec< L, bool, P > | epsilonEqual (vec< L, T, P > const &x, vec< L, T, P > const &y, T const &epsilon)
| Returns the component-wise comparison of |x - y| < epsilon. More...
template<typename genType >
GLM_FUNC_DECL bool | epsilonEqual (genType const &x, genType const &y, genType const &epsilon)
| Returns the component-wise comparison of |x - y| < epsilon. More...
template<length_t L, typename T , qualifier P>
GLM_FUNC_DECL vec< L, bool, P > | epsilonNotEqual (vec< L, T, P > const &x, vec< L, T, P > const &y, T const &epsilon)
| Returns the component-wise comparison of |x - y| < epsilon. More...
template<typename genType >
GLM_FUNC_DECL bool | epsilonNotEqual (genType const &x, genType const &y, genType const &epsilon)
| Returns the component-wise comparison of |x - y| >= epsilon. More...

## Detailed Description

Comparison functions for a user defined epsilon values.

<glm/gtc/epsilon.hpp> need to be included to use these functionalities.

## Function Documentation

GLM_FUNC_DECL vec<L, bool, P> glm::epsilonEqual | ( | vec< L, T, P > const & | x,
|  | vec< L, T, P > const & | y,
|  | T const & | epsilon
| ) |  |

Returns the component-wise comparison of |x - y| < epsilon.

True if this expression is satisfied.

See also
  GLM_GTC_epsilon

GLM_FUNC_DECL bool glm::epsilonEqual | ( | genType const & | x,
|  | genType const & | y,
|  | genType const & | epsilon
| ) |  |

Returns the component-wise comparison of |x - y| < epsilon.

True if this expression is satisfied.

See also
  GLM_GTC_epsilon

GLM_FUNC_DECL vec<L, bool, P> glm::epsilonNotEqual | ( | vec< L, T, P > const & | x,
|  | vec< L, T, P > const & | y,
|  | T const & | epsilon
| ) |  |

Returns the component-wise comparison of |x - y| < epsilon.

True if this expression is not satisfied.

See also
  GLM_GTC_epsilon

GLM_FUNC_DECL bool glm::epsilonNotEqual | ( | genType const & | x,
|  | genType const & | y,
|  | genType const & | epsilon
| ) |  |

Returns the component-wise comparison of |x - y| >= epsilon.

True if this expression is not satisfied.

See also
  GLM_GTC_epsilon